## com.google.gwt.event.dom.client
Class DomEvent.Type<H extends EventHandler>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent.Type<H>
          com.google.gwt.event.dom.client.DomEvent.Type<H>

Type Parameters:
  `H` - handler type

Enclosing class:
  DomEvent<H extends EventHandler>

    public static class DomEvent.Type<H extends EventHandler>

extends GwtEvent.Type<H>

Type class used by dom event subclasses. Type is specialized for dom in order to carry information about the native event.

Constructor Summary
`DomEvent.Type(java.lang.String eventName, DomEvent<H> flyweight)` This constructor allows dom event types to be triggered by the `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, HasHandlers)` method.

Method Summary
`java.lang.String` | `getName()` Gets the name associated with this event type.

Methods inherited from class com.google.gwt.event.shared.GwtEvent.Type
`hashCode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomEvent.Type

    public DomEvent.Type(java.lang.String eventName,
                         DomEvent<H> flyweight)

  This constructor allows dom event types to be triggered by the `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, HasHandlers)` method. It should only be used by implementors supporting new dom events.

  Any such dom event type must act as a flyweight around a native event object.

  Parameters:
    `eventName` - the raw native event name
    `flyweight` - the instance that will be used as a flyweight to wrap a native event

Method Detail

### getName

    public java.lang.String getName()

  Gets the name associated with this event type.

  Returns:
    the name of this event typ